| Earth Observation Mission CFI Software DataHandling Software User Manual for JAVA |

Public Member Functions | Public Attributes

# EECFI.StationRec Class Reference

Class for storing station information. More...

List of all members.

## Public Member Functions
| StationRec ()
| Constructor.
| StationRec (final String stationIdentity, final String descript, final String antenn, final String purpos, final String typ, final long maskPt, double[] azim, double[] elevat, final double statLong, final double statLat, final double statAlt, double[] projectLong, double[] projectLat, final long point, final double longitudeMax, final double latitudeMax, final double longitudeMin, final double latitudeMin, final long numMissionList, String[] missNames, double[] misAosEl, double[] misLosEl, String[] misMaskType)
| Constructor with parameters.
## Public Attributes
String | stationId
String | descriptor
String | antenna
String | purpose
String | type
long | numMaskPt
double[] | azimuth
double[] | elevation
double | stationLong
double | stationLat
double | stationAlt
double[] | projLong
double[] | projLat
long | points
double | longMax
| Maximum longitude of the station zone.
double | latMax
| Maximum latitude of the station zone.
double | longMin
| Minimum longitude of the station zone.
double | latMin
| Minimum latitude of the station zone.
long | missionList
| Number of missions.
String[] | missionName
| Mission name.
double[] | missionAosEl
| AOS Elevation for a specific mission.
double[] | missionLosEl
| LOS Elevation for a specific mission.
String[] | missionMaskType
| Mask Type for the mission.

## Detailed Description

Class for storing station information.

## Constructor & Destructor Documentation

EECFI.StationRec.StationRec | ( |  | ) |

Constructor.

EECFI.StationRec.StationRec | ( | final String | stationIdentity,
|  | final String | descript,
|  | final String | antenn,
|  | final String | purpos,
|  | final String | typ,
|  | final long | maskPt,
|  | double[] | azim,
|  | double[] | elevat,
|  | final double | statLong,
|  | final double | statLat,
|  | final double | statAlt,
|  | double[] | projectLong,
|  | double[] | projectLat,
|  | final long | point,
|  | final double | longitudeMax,
|  | final double | latitudeMax,
|  | final double | longitudeMin,
|  | final double | latitudeMin,
|  | final long | numMissionList,
|  | String[] | missNames,
|  | double[] | misAosEl,
|  | double[] | misLosEl,
|  | String[] | misMaskType |
| ) |  |  |

Constructor with parameters.

## Member Data Documentation

String EECFI.StationRec.antenna

double [] EECFI.StationRec.azimuth

String EECFI.StationRec.descriptor

double [] EECFI.StationRec.elevation

double EECFI.StationRec.latMax

Maximum latitude of the station zone.

double EECFI.StationRec.latMin

Minimum latitude of the station zone.

double EECFI.StationRec.longMax

Maximum longitude of the station zone.

double EECFI.StationRec.longMin

Minimum longitude of the station zone.

double [] EECFI.StationRec.missionAosEl

AOS Elevation for a specific mission.

long EECFI.StationRec.missionList

Number of missions.

double [] EECFI.StationRec.missionLosEl

LOS Elevation for a specific mission.

String [] EECFI.StationRec.missionMaskType

Mask Type for the mission.

String [] EECFI.StationRec.missionName

Mission name.

long EECFI.StationRec.numMaskPt

long EECFI.StationRec.points

double [] EECFI.StationRec.projLat

double [] EECFI.StationRec.projLong

String EECFI.StationRec.purpose

double EECFI.StationRec.stationAlt

String EECFI.StationRec.stationId

double EECFI.StationRec.stationLat

double EECFI.StationRec.stationLong

String EECFI.StationRec.type